## org.eclipse.datatools.enablement.sybase.asa.containment
Class SybaseASASchemaContainmentProvider

    java.lang.Object
      org.eclipse.datatools.connectivity.sqm.core.containment.AbstractContainmentProvider
          org.eclipse.datatools.connectivity.sqm.internal.core.containment.SchemaContainmentProvider
              org.eclipse.datatools.enablement.sybase.asa.containment.SybaseASASchemaContainmentProvider

All Implemented Interfaces:
  org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider

    public class SybaseASASchemaContainmentProvider

extends org.eclipse.datatools.connectivity.sqm.internal.core.containment.SchemaContainmentProvider

Constructor Summary
`SybaseASASchemaContainmentProvider()`

Method Summary
`java.util.Collection` `getContainedElements(org.eclipse.emf.ecore.EObject obj)`
`java.lang.String` `getGroupId(org.eclipse.emf.ecore.EObject obj)`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.internal.core.containment.SchemaContainmentProvider
`getContainer, getContainmentFeature`

Methods inherited from class org.eclipse.datatools.connectivity.sqm.core.containment.AbstractContainmentProvider
`isDisplayableElement`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SybaseASASchemaContainmentProvider

    public SybaseASASchemaContainmentProvider()

Method Detail

### getContainedElements

    public java.util.Collection getContainedElements(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getContainedElements` in interface `org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider`
  Overrides:
    `getContainedElements` in class `org.eclipse.datatools.connectivity.sqm.internal.core.containment.SchemaContainmentProvider`

### getGroupId

    public java.lang.String getGroupId(org.eclipse.emf.ecore.EObject obj)

  Specified by:
    `getGroupId` in interface `org.eclipse.datatools.connectivity.sqm.internal.core.containment.ContainmentProvider`
  Overrides:
    `getGroupId` in class `org.eclipse.datatools.connectivity.sqm.internal.core.containment.SchemaContainmentProvider`